System.Design 2.0.0.0 System.Object System.Collections.IList

The class and any derived class defines the property as a object. Control developers can override the property in a derived control designer, add custom automatic formatting styles, and return the collection of supported formats to the visual designer.

The collection dynamically increases as objects are added. Indexes in this collection are zero-based. Use the property to determine how many automatic style formats are in the collection.

Additionally, use the methods and properties to provide the following functionality:

The method to add a single format to the collection.

The method to add a format at a particular index within the collection.

The method to remove a format.

The method to remove the format at a particular index.

The method to determine whether a particular format is already in the collection.

The method to retrieve the index of a format within the collection.

The property to get or set the format at a particular index, using array notation.

The method to remove all formats from the collection.

The property to determine the number of formats in the collection.

The method to get the position of a format within the collection.

Represents a collection of objects within a control designer. This class cannot be inherited.

- Constructor
  2.0.0.0

  Use the constructor to create an empty collection. You can add elements to the collection by using the or method.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Int32 ``

  The method adds the specified object to the end of the collection. To add a object to the collection at a specific index location, use the method.

  Adds the specified object to the end of the collection.

  The index at which the format was added to the collection.

  An instance of .
- Method
  2.0.0.0
  System.Void

  Use the method to remove all formats from the collection. To remove a specific format from the collection, use the method. To remove a format at a particular index, use the method.

  Removes all formats from the collection.

- Method
  2.0.0.0
  System.Boolean ``

  The method determines equality by using the method on the objects that are being compared.

  Determines whether the specified format is contained within the collection.

  true, if the specified format is in the collection; otherwise, false.

  An instance of .
- Property
  2.0.0.0
  System.Int32 To be added.

  The property typically is used to determine the upper boundary index when iterating through objects in the collection. Because the collection indexes are zero-based, the first element is at index 0 and the last element is at index Count-1.

  Gets the number of objects in the collection.

- Method
  2.0.0.0
  System.Int32 ``

  The method determines equality by using the method on the objects that are being compared.

  Returns the index of the specified object within the collection.

  The zero-based index of the first occurrence of within the collection; otherwise, -1, if the format is not in the collection.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  The method adds a object to the collection at a specific index location. To add a single to the end of the collection, use the method.

  When you insert an item into a collection, the index values change for subsequent items in the collection.

  Inserts a object into the collection at the specified index.

  The zero-based index within the collection at which to insert . The to insert into the collection.
- Property
  2.0.0.0
  System.Web.UI.Design.DesignerAutoFormat `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Drawing.Size To be added.

  The property examines each format in the collection and returns the largest height and the largest width in a structure. A visual designer, such as vsprvslong, uses the to determine the initial size of the AutoFormat dialog box. The minimum size is 200-by-200 pixels.

  Gets the maximum outer dimensions of the control as it will appear at run time.

- Method
  2.0.0.0
  System.Void ``

  The method removes the first occurrence of from the collection. If the object does not contain , the collection remains unchanged. No exception is thrown.

  The method determines equality by using the method on the objects that are being compared.

  The method performs a linear search; therefore, the average execution time is proportional to the value.

  To remove a format at a particular index from the collection, use the method. To remove all formats from the collection, use the method.

  When you remove an item from a collection, the index values change for subsequent items in the collection.

  Removes the specified object from the collection.

  The to remove from the collection.
- Method
  2.0.0.0
  System.Void ``

  Use the method to remove a format at a particular index from the collection. To remove a specified format from the collection, use the method. To remove all formats from the collection, use the method.

  When you remove an item from a collection, the index values change for subsequent items in the collection.

  Removes the object at the specified index within the collection.

  The zero-based index of the to remove from the collection.
- Property
  2.0.0.0
  System.Object To be added.

  Enumerating through a collection is not a thread-safe procedure intrinsically. Even when a collection is synchronized, other threads can still modify the collection. This causes exceptions during enumeration.

  Lock the collection by using the method during the entire enumeration to guarantee thread safety. For detailed information about locking collections for thread-safe access, see .

  Gets an object that can be used to synchronize access to the object.

- Method
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Copies the elements of the collection to an object, starting at a particular index when the object is cast to an interface.

  The to receive the designated items. The starting index for the items to copy.
- Property
  2.0.0.0
  System.Int32 To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets the number of elements that are contained in the collection when the object is cast to an interface.

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the object is cast to an interface.

  Gets a value that indicates whether access to the collection is synchronized (thread safe) when the object is cast to an interface.

- Method
  2.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the object is cast to an interface.

  Returns an interface that iterates through the collection when the object is cast to an interface.

  An for the .

- Method
  2.0.0.0
  System.Int32 `` To be added.

  This member is an explicit interface member implementation. It can be used only when the object is cast to an interface.

  Adds an item to the collection when the object is cast to an interface.

  The index of the added item.

- Method
  2.0.0.0
  System.Boolean `` To be added.

  This member is an explicit interface member implementation. It can be used only when the object is cast to an interface.

  Determines whether the collection contains a specific value when the object is cast to an interface.

  true, if the object is in the ; otherwise, false.

- Method
  2.0.0.0
  System.Int32 `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Determines the index of a specific item in the collection when the object is cast to an interface.

  The index of a item in the collection.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Inserts an item into the collection at the specified index when the object is cast to an interface.

  The index at which to insert .
- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the object is cast to an interface.

  Gets a value that indicates whether the collection has a fixed size when the object is cast to an interface.

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this method, see .

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes the first occurrence of a specific object from the collection when the object is cast to an interface.

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes the item at the specified index when the object is cast to an interface.

  The index of the item to remove.